﻿namespace ZonesVisualization.Controls
{
    using System.Diagnostics;
    using System.Windows;
    using System.Windows.Media;

    using Telerik.Charting;
    using Telerik.Windows.Controls;

    using GestureEventArgs = System.Windows.Input.GestureEventArgs;

    public partial class Annotations
    {
        public Annotations()
        {
            InitializeComponent();
            this.HeartRateZoneChart.Grid.XStripeBrushes.Add((Brush)Application.Current.Resources["ChartAnnotations"]);

            this.HeartRateZoneChart.Series[0].ItemsSource = new[]
            {
                new HeartRateZone { High = 160, Low = 120, Name = "Fat Burn"},
                new HeartRateZone { High = 120, Low = 100, Name = "Warm Up"},
                new HeartRateZone { High = 180, Low = 160, Name = "High Intensity"}
            };
        }

        private void HeartRateZoneChart_OnTap(object sender, GestureEventArgs e)
        {
            var chart = (RadCartesianChart)sender;
            Debug.WriteLine("Tap");
            Debug.WriteLine(e.GetPosition(HorizontalAxis));
            
        }
    }
}
